%global pkg_name        File-Remove
%global pkg_version     0.39
%global rpm_pkg_version 0.39
%global rpm_pkg_release 1.n0i.6

Summary:       Remove files and directories
Name:          perl-%{pkg_name}
Version:       %{rpm_pkg_version}
Release:       %{rpm_pkg_release}%{?cpan_version}%{?dist}

Group:         Development/Libraries
License:       GPL+ or Artistic
URL:           http://search.cpan.org/dist/%{pkg_name}/
Source0:       http://www.cpan.org/authors/id/A/AD/ADAMK/%{pkg_name}-%{pkg_version}.tar.gz

BuildArch:     noarch
BuildRoot:     %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires: rpm-build-reb00t-perl


%description
File::Remove::remove removes files and directories. It acts like /bin/rm, for
the most part. Although "unlink" can be given a list of files, it will not
remove directories; this module remedies that. It also accepts wildcards, *
and ?, as arguments for filenames.


%prep
%setup -q -n %{pkg_name}-%{pkg_version}


%build
%{perl_build}


%install
%{__rm} -rf $RPM_BUILD_ROOT
%{perl_install}


%clean
%{__rm} -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%{perl_files}
%doc Changes LICENSE README


%changelog
* Wed Nov 14 2007 Marius Feraru <altblue@n0i.net> - 0.39-1.n0i.6
- version 0.39
- spec update (new reb00t build tools)

* Mon Oct 15 2007 Marius Feraru <altblue@n0i.net> - 0.38-1.n0i.5
- version 0.38

* Wed Aug 01 2007 Marius Feraru <altblue@n0i.net> - 0.37-1.n0i.4
- version 0.37

* Thu May 31 2007 Marius Feraru <altblue@n0i.net> - 0.34-1.n0i.3
- spec file (re)created using N0i::CPAN::RPMizer/1.14.8
- version 0.34

* Fri Dec 30 2005 Marius Feraru <altblue@n0i.net> 0.31-1.n0i.2
- version 0.31

* Thu Jul 28 2005 Marius Feraru <altblue@n0i.net> 0.30-1.n0i.1
- spec file (re)created using N0i::CPAN::RPMizer/1.01
- rebuild on perl 5.8.7
